Subject: [nfsv4] notes from today's conference call (Oct 3, 2006)

From: Spencer Shepler <[email-masked]>
Date: Tue, 3 Oct 2006 14:39:37 -0500

NFSv4 WG conference call - Oct 3, 2006
---

Attendees: Spencer S, Bruce F(CITI), Steve F(EMC), Tom V(EMC), 
	   Mike E(Netapp), Garth G (Netapp), Dave S(IBM), 
	   Dave N(Netapp), Tom T(Netapp)

IETF draft agenda is out for the week of November 6th.  The NFSv4
meetings are scheduled for Monday and Wednesday at this point.
Still a chance that they will move.

Also note that the SPKM BOF is scheduled for Monday morning.

I-D submission deadline for non -00 I-Ds is Oct 23rd.

There will be one more submission of the NFSv4.1 I-D before Oct 23rd.

Review of the items being worked and likely to be included in 
what will be draft-08 of NFSv4.1.

Spencer
- working on the refactoring of the pNFS section

Noveck
- Issue 127: Justify why we need exactly once semantics to data servers
  Dave to send email to WG and Mike to followup with inclusion in I-D
- Parallel Open/Close should be resovled (Noveck to followup with WG)
- Validation of migrated stateids (Noveck as part of namespace work)
- Noveck to send out sessions trunking proposal (remove some text
  around trunking issues and multi-server namespace) (derived from
  Dave's presentation at the interim meeting)
- Noveck mainly focused on multi-server namespace
- Issue 46: fs_locations for non-uniform namespace (again interim
  meeting derivation) will followup with WG email
- Issue 101: fs_location_info encoding unnecessarily complex

Eisler
- Issue 127: see above
- Issue 53: add data retention support (consensus that we want to do this
  and Mike's proposed changes were appropriate (black and yoder)
- Issue 89: list of NFSv4.1 that a file-based data server MUST support
- Issue 94: some data servers can be meta-data servers (make this clear)

Bruce F.
- ACL inheritance (Bruce F. has a proposal and will target Oct 8th for
  sending it to the WG)
- Issue: 111 cb_notify lock addition (Will have something this week)

Other issues needed:
- 96: Support for transparent fs split (Noveck)
- 125: lookupp on attributes directory (confirm consensus and add
  clarifying text) Benny to own and post text to alias
- 122: .nfsXXXX use negotiation (try to include - Eisler)

- Windows has different APIs for setting ACEs for Auditing
  vs. Security (has been mentioned but no discussion as of yet)

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4